package org.eclipse.samples.organizer.mails.filters;

import org.eclipse.samples.organizer.models.Mail;

public class MailFilterByFolderID extends MailFilter{
	public static final MailFilterByFolderID instance = new MailFilterByFolderID();
	
	public  static final String FOLDER_ID = "folderID";
	private int folderID;
	
	private int mailID;
	
	MailFilterByFolderID() {
		super(Mail.class);
	}
	MailFilterByFolderID(int _folderID) {
		this();
		folderID = _folderID;
	}
	public synchronized int getFolderID() {
		return folderID;
	}
	public synchronized void setFolderID(int folderid) {
		folderID = folderid;
		/*int oldValue = folderID;
		folderID = folderid;
		firePropertyChange(FOLDER_ID, oldValue, folderid);*/
	}
	public synchronized int getMailID() {
		return mailID;
	}
	public synchronized void setMailID(int mailID) {
		this.mailID = mailID;
	}
	public synchronized void removeFilter(){
		folderID = 0;
	}

	
}
