package org.eclipse.samples.organizer.mails.filters;

import org.eclipse.samples.organizer.models.Mail;

public class MailFilterByUnread extends MailFilter{
	public static final MailFilterByUnread instance = new MailFilterByUnread();
	
	public  static final String FOLDER_ID = "unRead";
	boolean unreadCheck = false;
	
	
	MailFilterByUnread() {
		super(Mail.class);
	}

	public synchronized void removeFilter(){
		unreadCheck = false;
	}

	public boolean isUnreadCheck() {
		return unreadCheck;
	}

	public void setUnreadCheck(boolean unreadCheck) {
		this.unreadCheck = unreadCheck;
	}

}
