package org.eclipse.samples.organizer.util;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.xml.sax.SAXException;



public class XmlCreater
{
	

	public XmlCreater(String path) {
		this.path = path;

		f = new File(path);
		//if no file exsit
		if (!f.exists()) {
			try {
				f.createNewFile();
			} catch (IOException e) {
				e.printStackTrace();
			}
			init1();
		}
		else{
			init2();
		}
		
		
	}
   
    private void init2() {
    	DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
		DocumentBuilder builder = null;
		try {
			builder = factory.newDocumentBuilder();
		} catch (ParserConfigurationException e) {
			e.printStackTrace();
		}

		try {
			doc = builder.parse(path);
		} catch (SAXException e) {
			e.printStackTrace();
		} catch (IOException e) {

		}
		
	}

    private void init1()
    {
        DocumentBuilderFactory factory=DocumentBuilderFactory.newInstance();
        try
        {
            DocumentBuilder builder=factory.newDocumentBuilder();
            doc=builder.newDocument();//½DOM
        }catch(ParserConfigurationException e)
        {
            e.printStackTrace();
        }
    }
   
    public Element createRootElement(String rootTagName)
    {    
        if(doc.getDocumentElement()==null)
        {
         
            root=doc.createElement(rootTagName);
            doc.appendChild(root);
            return root;
        }
        return doc.getDocumentElement();
    }
   
    public Element createElement(Element parent,String tagName)
    {
        Document doc=parent.getOwnerDocument();
        Element child=doc.createElement(tagName);
        parent.appendChild(child);       
        return child;
    }
   

    	public void createAttribute(Element parent,String attrName,String attrValue){
    		parent.setAttribute(attrName,attrValue);     
    	}
 
  
    public void buildXmlFile()
    {
        TransformerFactory tfactory=TransformerFactory.newInstance();
        try
        {
            Transformer transformer=tfactory.newTransformer();
            DOMSource source=new DOMSource(doc);
            
            StreamResult result = null;
			try {
				result = new StreamResult(new FileOutputStream(f));
			} catch (FileNotFoundException e) {
				e.printStackTrace();
			}
            transformer.transform(source,result);
        }catch(TransformerConfigurationException e)
        {
        	e.printStackTrace();
        }catch(TransformerException e)
        {
        	e.printStackTrace();
        }
    }
 
    public Document getDoc()
    {
        return doc;
    }
   
    public void setDoc(Document doc)
    {
        this.doc = doc;
    }
  
    public String getPath()
    {
        return path;
    }
   
    public void setPath(String path)
    {
        this.path = path;
    }
 
    private Document doc=null;
    private String path=null;
	public Element root;
	private File f;
    
}