package org.eclipse.samples.organizer.tasks.filters;

import org.eclipse.samples.organizer.Filter;
import org.eclipse.samples.organizer.models.Task;

/**
 * 
 * @author Wayne Beaton
 * TODO Convert to a service?
 */
public class TaskFilter extends Filter {

	public static final TaskFilter instance = new TaskFilter();

	public static final String HIDE_COMPLETE = "hideCompleteTasks";
	
	TaskFilter() {
		super(Task.class);
	}
	
	private boolean hideCompleteTasks = true;
	
	public boolean isHideCompleteTasks() {
		return hideCompleteTasks;
	}
	
	public void setHideCompleteTasks(boolean value) {
		boolean oldValue = hideCompleteTasks;
		hideCompleteTasks = value;
		firePropertyChange(HIDE_COMPLETE, oldValue, value);
	}
}
