/*******************************************************************************
* Copyright (c) 2007 Ha Li.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*    Ha Li - initial API and implementation
*/
package org.eclipse.samples.organizer.ui.mail.util;

import java.io.File;
import java.util.Random;

import org.eclipse.samples.organizer.main.MailManager;
import org.eclipse.samples.organizer.models.Mail;

public class MailPathProducer {
	public static final String DEFAULT_ATTACHMENT_FOLDER ="mails" + File.separator + "Temp" + File.separator;

	public static void producePath(Mail mail,String folderName){
		StringBuilder newFileName = new StringBuilder("mails");
		newFileName.append(File.separator).append(MailManager.getInstance().getAccountFromID(mail.getAccountID()).getAccountName()).append(File.separator).append(folderName).append(File.separator).append(radomIntCreate()).append(".eml");
		File temp = new File(newFileName.toString());
		while(temp.exists()){
			producePath(mail,folderName);
		}
		mail.setDataFilePath(newFileName.toString());
	}
	private static Integer radomIntCreate(){
		   Random rand = new Random();
		  return rand.nextInt(Integer.MAX_VALUE);
		}
}
