package org.eclipse.samples.organizer.util;

import java.io.File;

import org.eclipse.samples.organizer.mails.Activator;
import org.eclipse.samples.organizer.main.MailAccount;

public class FolderDeal {
	public static final String DEFAULT_ACCOUNT_FOLDER = "mails";
	public static final String DEFAULT_ATTACHMENT_FOLDER ="mails" + File.separator + "Temp";
	public static void createFolder(MailAccount account) {
		String accountFolderDir = DEFAULT_ACCOUNT_FOLDER + File.separator + account.getAccountName();
		File file = new File(accountFolderDir);
		if(!file.exists()){
			file.mkdirs();
		}
		
		File fileAttachmentFolder = new File(DEFAULT_ATTACHMENT_FOLDER);
		if(!fileAttachmentFolder.exists()){
			fileAttachmentFolder.mkdirs();
		}
	  
	   String temp = accountFolderDir + File.separator + Activator.DEFAULT_INBOX_FOLDER ;
	   File fileInBox = new File(temp);
	   if(!fileInBox.exists()){
		   fileInBox.mkdirs();
	   }
	   temp = accountFolderDir + File.separator + Activator.DEFAULT_OUTBOX_FOLDER;
	   File fileOutBox = new File(temp);
	   if(!fileOutBox.exists()){
		   fileOutBox.mkdirs();
	   }
	   temp = accountFolderDir + File.separator + Activator.DEFAULT_SENT_FOLDER;
	   File fileSentBox = new File(temp);
	   if(!fileSentBox.exists()){
		   fileSentBox.mkdirs();
	   }
	   temp = accountFolderDir + File.separator + Activator.DEFAULT_DRAFT_FOLDER;
	   File fileDraftBox = new File(temp);
	   if(!fileDraftBox.exists()){
		   fileDraftBox.mkdir();
	   }
	   
	   temp = accountFolderDir + File.separator + Activator.DEFAULT_TRASH_FOLDER;
	   File fileTrashBox = new File(temp);
	   if(!fileTrashBox.exists()){
		   fileTrashBox.mkdirs();
	   }
	}
}
