package org.eclipse.samples.organizer.ui.calendar.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class CalendarPerspectiveFactory implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		layout.setFixed(true);
		//layout.addStandaloneView("org.eclipse.samples.organizer.ui.switcher.SwitcherView", false,
		//		IPageLayout.LEFT, 0.25F, editorArea);
		IFolderLayout folder = layout.createFolder("org.eclipse.samples.organizer.ui.MainViewFolder", IPageLayout.TOP, 0.5F, editorArea);
		folder.addView("org.eclipse.samples.organizer.ui.calendar.CalendarView");		
	}

}
