/*******************************************************************************
* Copyright (c) 2007 Ha Li.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*    Ha Li - initial API and implementation
*/
package org.eclipse.samples.organizer.ui.mail;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class MailPerspectiveFactory implements IPerspectiveFactory {
	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		layout.setFixed(true);
		//layout.addStandaloneView("org.eclipse.samples.organizer.ui.switcher.SwitcherView", false,
		//		IPageLayout.LEFT, 0.25F, editorArea);
		IFolderLayout folder = layout.createFolder("org.eclipse.samples.organizer.ui.MainViewFolder", IPageLayout.TOP, 0.5F, editorArea);
		folder.addView("org.eclipse.samples.organizer.ui.mail.views.MailView");
	}

}
