/*******************************************************************************
* Copyright (c) 2007 Ha Li.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*    Ha Li - initial API and implementation
*/
package org.eclipse.samples.organizer.ui.mail.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.samples.organizer.main.MailAccount;
import org.eclipse.samples.organizer.ui.mail.wizards.ImportAccountWizard;
import org.eclipse.swt.widgets.Shell;


public class CreateNewAccountAction extends Action {

	private Shell shell;
	public CreateNewAccountAction(Shell _shell){
		shell = _shell;
	}
	@Override
	public void run() {
		MailAccount act = new MailAccount();
		ImportAccountWizard.importTasks(shell, act);
	}

}
