/*******************************************************************************
 * Copyright (c) 2006 The Eclipse Foundation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *  
 * Contributors:
 *    The Eclipse Foundation - initial API and implementation
 *******************************************************************************/
package org.eclipse.samples.organizer.ui.datepicker;

import java.util.Date;
import java.util.EventObject;

public class DateSelectedEvent extends EventObject {
	private static final long serialVersionUID = -2313234743123232014L;
	public final Date oldDate;
	public final Date date;

	public DateSelectedEvent(Object source, Date oldDate, Date newDate) {
		super(source);
		this.oldDate = oldDate;
		this.date = newDate;
	}

}
